Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.bootstrap.standalone
Class StandaloneBootstrap

    java.lang.Object
      org.jboss.kernel.plugins.event.AbstractEventEmitter
          org.jboss.kernel.plugins.AbstractKernelObject
              org.jboss.kernel.plugins.bootstrap.AbstractBootstrap
                  org.jboss.kernel.plugins.bootstrap.basic.BasicBootstrap
                      org.jboss.kernel.plugins.bootstrap.standalone.StandaloneBootstrap

All Implemented Interfaces:
  KernelEventEmitter, KernelObject, Runnable

public class StandaloneBootstrap
extends BasicBootstrap

Standalone Bootstrap of the kernel.

Version:
  $Revision: 1.5 $
Author:
  Adrian Brock, Les A. Hazlewood

Nested Class Summary
`protected class` | `StandaloneBootstrap.Shutdown`

Field Summary
`protected String[]` | `args` The arguments
`protected BeanXMLDeployer` | `deployer` The deployer
`protected List` | `deployments` The deployments

Fields inherited from class org.jboss.kernel.plugins.bootstrap.AbstractBootstrap
`config, kernel`

Fields inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`log`

Fields inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`eventListenerRegistry, NULL`

Constructor Summary
`StandaloneBootstrap(String[] args)` Create a new bootstrap

Method Summary
`void` | `bootstrap()` Bootstrap the kernel
`protected void` | `deploy(URL url)` Deploy a url
`static void` | `main(String[] args)` Bootstrap the kernel from the command line
`protected void` | `undeploy(KernelDeployment deployment)` Undeploy a deployment

Methods inherited from class org.jboss.kernel.plugins.bootstrap.AbstractBootstrap
`getConfig, getKernel, run, setConfig`

Methods inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`setKernel`

Methods inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`createEvent, fireKernelEvent, fireKernelEvent, hasListeners, nextEmitterSequence, registerListener, unregisterListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Field Detail

### deployer

    protected BeanXMLDeployer deployer

  The deployer

### deployments

    protected List deployments

  The deployments

### args

    protected String[] args

  The arguments

Constructor Detail

### StandaloneBootstrap

    public StandaloneBootstrap(String[] args)
                        throws Exception

  Create a new bootstrap

Parameters:
  `args` - the arguments
Throws:
  `Exception` - for any error

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Bootstrap the kernel from the command line

  Parameters:
    `args` - the command line arguments
  Throws:
    `Exception` - for any error

### bootstrap

    public void bootstrap()
                   throws Throwable

  Description copied from class: `AbstractBootstrap`
  Bootstrap the kernel

  Overrides:
    `bootstrap` in class `AbstractBootstrap`
  Throws:
    `Throwable` - for any error

### deploy

    protected void deploy(URL url)
                   throws Throwable

  Deploy a url

  Parameters:
    `url` - the deployment url
  Throws:
    `Throwable` - for any error

### undeploy

    protected void undeploy(KernelDeployment deployment)

  Undeploy a deployment

  Parameters:
    `deployment` - the deployment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.